<div class="container m-4">
    <div class="main">
        <div class="w-100">
            <form class="form container-fluid d-flex flex-column justify-content-center align-items-center " [formGroup]="prospectForm" (ngSubmit)="onSubmit()">
                <div class="card w-50 d-flex flex-column justify-content-center align-items-center p-1 mb-4 ">
                    <div class="w-100 d-flex flex-column justify-content-center align-items-center p-2">
                        <div class="btn-group d-flex flex-row justify-content-around w-100 civilite mt-4" role="group" aria-label="Basic radio toggle button group">
                            <div class="w-100 d-flex flex-row justify-content-center">
                                <input type="radio" class="btn-check form-control" name="civilite" value="Madame" id="btnradio1" autocomplete="off" checked formControlName="civilite">
                                <label class="btn btn-outline-success w-50" for="btnradio1">Madame</label>
                            </div>
                            <div class="w-100 d-flex flex-row justify-content-center">
                                <input type="radio" class="btn-check form-control" name="civilite" id="btnradio2" value="Monsieur" autocomplete="off" formControlName="civilite">
                                <label class="btn btn-outline-success w-50" for="btnradio2">Monsieur</label>
                            </div>
                        </div>
                        <div class="w-75 mt-2">
                            <div class="form-group mt-3 row">
                                <div class="col-md-6"> <label for="inputAddress" class="nom">Nom</label>
                                    <input type="text" class="form-control " id="inputNom" placeholder="Nom" formControlName="nom">
                                    <small *ngIf="nom.invalid && (nom.touched || nom.dirty)" class="text-danger p-0">ce
                    champ
                    est requis
                  </small>
                                </div>
                                <div class="col-md-6"> <label for="inputAddress2" class="prenom">Prenom</label>
                                    <input type="text" class="form-control" id="inputPrenom" placeholder="Prenom" formControlName="prenom">
                                    <small *ngIf="prenom.invalid && (prenom.touched || prenom.dirty)" class=" text-danger p-0">ce
                    champ est requis
                  </small>
                                </div>
                            </div>
                            <div class="form-group mt-3 row">
                                <div class="col-md-6"><label for="inputMail" class="mail">Mail</label>
                                    <input type="email" class="form-control" id="inputMail" placeholder="Email" formControlName="mail">
                                    <div *ngIf="mail.invalid && (mail.touched || mail.dirty)">
                                        <small *ngIf="mail.errors?.['required']" class="text-danger">
                      Ce champ est requis
                    </small>
                                        <div *ngIf="mail.errors?.['pattern']">
                                            Merci de saisir une adresse mail valide
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6"><label for="inputPhone" class="mail">Téléphone</label>
                                    <input type="tel" id="phone" name="phone" class="form-control" placeholder="Téléphone" formControlName="phone">
                                    <div *ngIf="phone.invalid && (phone.touched || phone.dirty)">
                                        <small *ngIf="phone.errors?.['required']" class="text-danger">
                      Ce champ est requis
                    </small>
                                        <div *ngIf="phone.errors?.['pattern']">
                                            Téléphone non valide
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group mt-3 row">
                                <div class="col-md-6"><label for="inputMail" class="ville">Ville</label>
                                    <input type="text" class="form-control" id="inputVille" placeholder="Ville" formControlName="ville">
                                    <div *ngIf="ville.invalid && (ville.touched || ville.dirty)">
                                        <small *ngIf="ville.errors?.['required']" class="text-danger">
                      Ce champ est requis
                    </small>

                                    </div>
                                </div>
                                <div class="col-md-6"><label for="inputPhone" class="ville">Code postal</label>
                                    <input type="tel" id="postal" name="postal" class="form-control" placeholder="Code postal" formControlName="code">
                                    <div *ngIf="code.invalid && (code.touched || code.dirty)">
                                        <small *ngIf="code.errors?.['required']" class="text-danger">
                      Ce champ est requis
                    </small>
                                        <div *ngIf="code.errors?.['pattern']">
                                            Le code postal doit avoir 5 caractères.
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="w-75 mt-3 mb-3">
                            <div class="form-check">
                                <input class="form-check-input" type="checkbox" value="condition" id="flexCheckDefault" formControlName="condition">
                                <label class="form-check-label" for="flexCheckDefault">
                  J'accèpte les conditions générales d'utilisation <span
                    *ngIf="condition.invalid && (condition.touched || condition.dirty)">
                    <small *ngIf="condition.errors?.['required']">
                      Ce champ est requis
                    </small>

                  </span>
                </label>
                            </div>
                            <div class="form-check">
                                <input class="form-check-input" type="checkbox" value="promo" id="flexCheckChecked" formControlName="promo" checked>
                                <label class="form-check-label" for="flexCheckChecked">
                  Etre informé des offres promotionnelles en lien avec la rénovation
                </label>
                            </div>
                            <div class="form-check">
                                <input class="form-check-input" type="checkbox" value="contactConseiller" id="flexCheckChecked" formControlName="contactConseiller">
                                <label class="form-check-label" for="flexCheckChecked">
                  Etre contacté par un conseiller "renovation-travaux" pour le suivi de votre projet
                </label>
                            </div>
                        </div>

                    </div>
                </div>
                <div class="button-group w-50 d-flex flex-row justify-content-around mt-2">

                    <button type="submit" [disabled]="!prospectForm.valid" class="btn w-25 btn btn-outline-success rounded">Validation</button>
                </div>
            </form>
        </div>
    </div>
</div>
